LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
JobExecutor Service Referencepublished

A legacy (single-instance) service-variant of theJobExecutor singleton. More...

`import"JobExecutor.idl";`

Inheritance diagram for JobExecutor:

## Additional Inherited Members
Public Member Functions inherited from XJobExecutor
void | trigger ([in] string Event)
| trigger event to start registered jobs More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A legacy (single-instance) service-variant of theJobExecutor singleton.

Deprecated:
  Use theJobExecutor singleton instead.

Developers Guide
  WritingUNO - Jobs - Jobs

The documentation for this service was generated from the following file:

- com/sun/star/task/JobExecutor.idl